Project

General

Profile

Why does GNOME-Software package conflict with your freedom?

Oknolaz - about 2 months ago -

I got the following output in the terminal: 'gnome-software' and 'your-freedom' conflict when I tried to install GNOME-Software. Does GNOME Software contain non-free components?


Replies (1)

Why does GNOME-Software package conflict with your freedom? - bill-auger - about 1 month ago -

you can answer that question for any package, by checking the blacklist

$ grep gnome-software /usr/share/doc/your-freedom/blacklist.txt
gnome-software-packagekit-plugin::::[uses-nonfree][FIXME:package] depends on nonfree archlinux-appstream-data and gnome-software
gnome-software::parabola:1413:[uses-nonfree][FIXME:package] depends on nonfree archlinux-appstream-data

so, it is on the b;acklist because it depends on 'archlinux-appstream-data' which is also on the blacklist

the bits: 'parabola:1413' indicate that there is a bug report on the parabola bug tracker with more detail and/or discussion https://labs.parabola.nu/issues/1413

$ grep archlinux-appstream-data /usr/share/doc/your-freedom/blacklist.txt
archlinux-appstream-data::parabola:813:[uses-nonfree][FIXME:package] promotes nonfree packages and Arch repositories
discover::::[uses-nonfree][FIXME:package] depends on nonfree archlinux-appstream-data
gnome-software-packagekit-plugin::::[uses-nonfree][FIXME:package] depends on nonfree archlinux-appstream-data and gnome-software
gnome-software::parabola:1413:[uses-nonfree][FIXME:package] depends on nonfree archlinux-appstream-data

there, we see that 'discover' is on the blacklist for the same reason; and that the bug report for 'archlinux-appstream-data' is: https://labs.parabola.nu/issues/813

    (1-1/1)